from django.urls import path, include
from rest_framework.routers import DefaultRouter
from . import views

router = DefaultRouter()
router.register(r'fertilizers', views.FertilizerViewSet, basename='fertilizer')
router.register(r'plans', views.FertilizationPlanViewSet, basename='fertilization-plan')

urlpatterns = [
    path('', include(router.urls)),
    path('candidate_fields/', views.CandidateFieldsView.as_view(), name='candidate-fields'),
    path('calculate/', views.CalculateView.as_view(), name='fertilizer-calculate'),
]
